# Contracts

## Main Contract Addresses&#x20;

**FNX Token:** 0x52f847356b38720B55ee18Cb3e094ca11C85A192 \
Network: Blast\
Symbol: FNX\
Decimals: 18\
\
**veFNX:** 0xC900C984a3581EfA4Fb56cAF6eF19721aAFbB4f9 \
**Voter:** 0x56129f1c0aED4aDBeE862986FAcE5Ba8c9aC3d9B \
**Minter:** 0xa4FF6fe53212e8da028e0a34819006A26615D9f8&#x20;

### Algebra V3 Pools&#x20;

**Algebra Factory:** 0x7a44CD060afC1B6F4c80A2B9b37f4473E74E25Df \
**Quoter V2:** 0x94Ca5B835186A37A99776780BF976fAB81D84ED8 \
**Swap Router:** 0x2df37Cb897fdffc6B4b03d8252d85BE7C6dA9d00 \
**Non-fungible Position Manager:** 0x8881b3Fb762d1D50e6172f621F107E24299AA1Cd <br>

### V2 Pairs&#x20;

**Pair Factory:** 0xa19C51D91891D3DF7C13Ed22a2f89d328A82950f \
**RouterV2:** 0xbD571125856975DBfC2E9b6d1DE496D614D7BAEE

### Subgraphs

<details>

<summary>V2 Pairs Subgraph</summary>

1. Go to the **V2 Pairs Subgraph:**\
   <https://api.goldsky.com/api/public/project_clxadvm41bujy01ui2qalezdn/subgraphs/fenix-v2-subgraph/latest/gn>
2. **Copy the V2 Pairs Query**:\
   Use the following query to fetch **V2 pairs**, including token details (ID and symbol):

```graphql
query {
  pairs {
    id
    token0 {
      symbol
      id
    }
    token1 {
      symbol
      id
    }
  }
}
```

* `id`: The unique identifier of the pair.
* `token0` and `token1`: The tokens involved in the pair, including their `symbol` and `id`.

3. **Paste the V2 Pairs Query** in the Subgraph
4. **Execute Query**

</details>

<details>

<summary>V3 Pools Subgraph:</summary>

1. Go to the **V3 Pools Subgraph:**\
   <https://api.goldsky.com/api/public/project_clxadvm41bujy01ui2qalezdn/subgraphs/fenix-v3-dex/latest/gn>
2. **Copy the V3 Pools Query:**\
   Use the following query to fetch **V3 pools**, including token details (ID and symbol):

   ```graphql
   query {
     pools {
       id
       token0 {
         symbol
         id
       }
       token1 {
         symbol
         id
       }
     }
   }
   ```

   * `id`: The unique identifier of the pool.
   * `token0` and `token1`: The tokens involved in the pool, including their `symbol` and `id`.
3. **Paste the V3 Pools Query** in the Subgraph
4. **Execute Query**

</details>

<details>

<summary>V2 &#x26; V3 Gauges Subgraph</summary>

1. Go to the **V2 & V3 Gauges Subgraph:**\
   <https://api.goldsky.com/api/public/project_clxadvm41bujy01ui2qalezdn/subgraphs/fenix-v2-subgraph/latest/gn>
2. **Copy the V2 & V3 Gauges Query**:\
   Use the following query to fetch **V2 & V3 Gauges**:

```graphql
query Rewards {
  gauges(first: 1000) {
    id
    poolAddress
    internalBribe {
      id
    }
    externalBribe {
      id
    }
  }
}
```

3. **Paste the V2 & V3 Gauges Query** in the Subgraph
4. **Execute Query**

</details>

## Deployed Contract Addresses

{% embed url="<https://github.com/FenixProtocol/fenix-core/blob/main/docs/deployment/blast_mainnet_contracts.md>" %}
V2 Contracts
{% endembed %}

{% embed url="<https://github.com/FenixProtocol/fenix-algebra/blob/main/docs/deployment/blast_mainnet_contracts.md>" %}
V3 Contracts
{% endembed %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fenixfinance.io/fenix/additional-information/contracts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
